<?php
/**
 * @package   Camber Template - RocketTheme
 * @version   1.0 August 1, 2011
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Camber Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
            'main-background' => '#CBD1D1',
            'main-overlay' => 'light',
            'main-pattern' => 'noise',
            'main-text' => '#5D6769',
            'main-link' => '#2C8BA6',
            'main-accent' => '#2C8BA6',
            'topblock-background' => '#F1F3F2',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#748082',
            'topblock-link' => '#2C8BA6',
            'topblock-accent' => '#33A0BF',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#5C6566',
            'body-link' => '#0B7291',
            'body-accent' => '#2C8BA6',
            'footerblock-background' => '#ACB0B1',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'full',
            'footerblock-text' => '#505252',
            'footerblock-link' => '#eee',
            'footerblock-accent' => '#2C8BA6',
            'logo-style' => 'dark',
            'logo-pattern' => 'canvas',
            'typography-style' => 'light'
        ),

        'preset2' => array (
            'name' => 'Preset 2',
            'main-background' => '#BFD3A3',
            'main-overlay' => 'light',
            'main-pattern' => 'dustnscratches',
            'main-text' => '#414747',
            'main-link' => '#52732A',
            'main-accent' => '#52732A',
            'topblock-background' => '#f1f1f1',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#748082',
            'topblock-link' => '#6BA228',
            'topblock-accent' => '#6BA228',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#414747',
            'body-link' => '#6BA228',
            'body-accent' => '#6BA228',
            'footerblock-background' => '#8E9B75',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'full',
            'footerblock-text' => '#3C4035',
            'footerblock-link' => '#eee',
            'footerblock-accent' => '#6BA228',
            'logo-style' => 'dark',
            'logo-pattern' => 'noise',
            'typography-style' => 'light'
        ),

        'preset3' => array (
            'name' => 'Preset 3',
            'main-background' => '#6B2802',
            'main-overlay' => 'dark',
            'main-pattern' => 'wood',
            'main-text' => '#CFA68E',
            'main-link' => '#86B0CA',
            'main-accent' => '#86B0CA',
            'topblock-background' => '#47210D',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#CFA68E',
            'topblock-link' => '#86B0CA',
            'topblock-accent' => '#86B0CA',
            'body-background' => 'light',
            'body-width' => 'full',
            'body-text' => '#431204',
            'body-link' => '#86B0CA',
            'body-accent' => '#86B0CA',
            'footerblock-background' => '#4F260F',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#AD8A76',
            'footerblock-link' => '#86B0CA',
            'footerblock-accent' => '#86B0CA',
            'logo-style' => 'dark',
            'logo-pattern' => 'none',
            'typography-style' => 'light'
        ),

        'preset4' => array (
            'name' => 'Preset 4',
            'main-background' => '#E6E8EB',
            'main-overlay' => 'light',
            'main-pattern' => 'textile',
            'main-text' => '#888888',
            'main-link' => '#DE3B34',
            'main-accent' => '#DE3B34',
            'topblock-background' => '#f3f3f3',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#888888',
            'topblock-link' => '#DE3B34',
            'topblock-accent' => '#D02F29',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#888888',
            'body-link' => '#DE3B34',
            'body-accent' => '#D01A13',
            'footerblock-background' => '#AFAFB1',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'full',
            'footerblock-text' => '#505252',
            'footerblock-link' => '#222',
            'footerblock-accent' => '#DE3B34',
            'logo-style' => 'dark',
            'logo-pattern' => 'none',
            'typography-style' => 'light'
        ),

        'preset5' => array (
            'name' => 'Preset 5',
            'main-background' => '#2D383E',
            'main-overlay' => 'dark',
            'main-pattern' => 'textile',
            'main-text' => '#BFC3C4',
            'main-link' => '#EEBA5D',
            'main-accent' => '#EEBA5D',
            'topblock-background' => '#f0f0f0',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#999999',
            'topblock-link' => '#C6912F',
            'topblock-accent' => '#3D4347',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#62696D',
            'body-link' => '#C6912F',
            'body-accent' => '#E79606',
            'footerblock-background' => '#9FA3A6',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'wrapped',
            'footerblock-text' => '#505252',
            'footerblock-link' => '#eee',
            'footerblock-accent' => '#E79606',
            'logo-style' => 'dark',
            'logo-pattern' => 'dustnscratches',
            'typography-style' => 'light'
        ),

        'preset6' => array (
            'name' => 'Preset 6',
            'main-background' => '#333',
            'main-overlay' => 'dark',
            'main-pattern' => 'squares',
            'main-text' => '#999',
            'main-link' => '#A2C048',
            'main-accent' => '#8EBA59',
            'topblock-background' => '#333',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#999',
            'topblock-link' => '#8EBA59',
            'topblock-accent' => '#8EBA59',
            'body-background' => 'dark',
            'body-width' => 'wrapped',
            'body-text' => '#999',
            'body-link' => '#8EBA59',
            'body-accent' => '#5CA8DD',
            'footerblock-background' => '#222',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#777',
            'footerblock-link' => '#ccc',
            'footerblock-accent' => '#5CA8DD',
            'logo-style' => 'dark',
            'logo-pattern' => 'grunge',
            'typography-style' => 'dark'
        ),

        'preset7' => array (
            'name' => 'Preset 7',
            'main-background' => '#222',
            'main-overlay' => 'dark',
            'main-pattern' => 'elegant',
            'main-text' => '#999',
            'main-link' => '#ccc',
            'main-accent' => '#CD4C08',
            'topblock-background' => '#333',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#999',
            'topblock-link' => '#ccc',
            'topblock-accent' => '#C85418',
            'body-background' => 'dark',
            'body-width' => 'full',
            'body-text' => '#999',
            'body-link' => '#ccc',
            'body-accent' => '#CD4C08',
            'footerblock-background' => '#444',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#888',
            'footerblock-link' => '#ccc',
            'footerblock-accent' => '#222',
            'logo-style' => 'dark',
            'logo-pattern' => 'wood',
            'typography-style' => 'dark'
        ),

        'preset8' => array (
            'name' => 'Preset 8',
            'main-background' => '#562916',
            'main-overlay' => 'dark',
            'main-pattern' => 'wood',
            'main-text' => '#B5BDBE',
            'main-link' => '#ccc',
            'main-accent' => '#3F93A0',
            'topblock-background' => '#333',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#999',
            'topblock-link' => '#B9DFE2',
            'topblock-accent' => '#6FACB5',
            'body-background' => 'dark',
            'body-width' => 'wrapped',
            'body-text' => '#999',
            'body-link' => '#ccc',
            'body-accent' => '#3F93A0',
            'footerblock-background' => '#502C1E',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'wrapped',
            'footerblock-text' => '#AFA6A2',
            'footerblock-link' => '#ccc',
            'footerblock-accent' => '#222',
            'logo-style' => 'dark',
            'logo-pattern' => 'waves',
            'typography-style' => 'dark'
        ),

        'preset9' => array (
            'name' => 'Preset 9',
            'main-background' => '#E6E8EB',
            'main-overlay' => 'light',
            'main-pattern' => 'textile',
            'main-text' => '#888888',
            'main-link' => '#AF2E16',
            'main-accent' => '#AF2E16',
            'topblock-background' => '#f3f3f3',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#666',
            'topblock-link' => '#AF2E16',
            'topblock-accent' => '#333',
            'body-background' => 'dark',
            'body-width' => 'full',
            'body-text' => '#999',
            'body-link' => '#ddd',
            'body-accent' => '#AF2E16',
            'footerblock-background' => '#E9EAED',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'full',
            'footerblock-text' => '#666',
            'footerblock-link' => '#AF2E16',
            'footerblock-accent' => '#333',
            'logo-style' => 'dark',
            'logo-pattern' => 'noise',
            'typography-style' => 'light'
        ),

        'preset10' => array (
            'name' => 'Preset 10',
            'main-background' => '#fff',
            'main-overlay' => 'light',
            'main-pattern' => 'grunge',
            'main-text' => '#888888',
            'main-link' => '#4A6CAE',
            'main-accent' => '#4A6CAE',
            'topblock-background' => '#f9f9f9',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#888888',
            'topblock-link' => '#4A6CAE',
            'topblock-accent' => '#4A6CAE',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#888888',
            'body-link' => '#4A6CAE',
            'body-accent' => '#4A6CAE',
            'footerblock-background' => '#EAEAEA',
            'footerblock-overlay' => 'light',
            'footerblock-width' => 'wrapped',
            'footerblock-text' => '#555',
            'footerblock-link' => '#4A6CAE',
            'footerblock-accent' => '#4A6CAE',
            'logo-style' => 'dark',
            'logo-pattern' => 'grunge',
            'typography-style' => 'light'
        ),

        'preset11' => array (
            'name' => 'Preset 11',
            'main-background' => '#CCEAEE',
            'main-overlay' => 'light',
            'main-pattern' => 'grunge',
            'main-text' => '#61888D',
            'main-link' => '#E8617E',
            'main-accent' => '#F5859D',
            'topblock-background' => '#CCEAEE',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#61888D',
            'topblock-link' => '#E8617E',
            'topblock-accent' => '#F5859D',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#567478',
            'body-link' => '#4E8CA1',
            'body-accent' => '#F5859D',
            'footerblock-background' => '#7FB1B7',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#CCEAEE',
            'footerblock-link' => '#fff',
            'footerblock-accent' => '#8EA745',
            'logo-style' => 'dark',
            'logo-pattern' => 'rubber',
            'typography-style' => 'light'
        ),

        'preset12' => array (
            'name' => 'Preset 12',
            'main-background' => '#EEEBD9',
            'main-overlay' => 'light',
            'main-pattern' => 'paper',
            'main-text' => '#7A6A46',
            'main-link' => '#4E2008',
            'main-accent' => '#7A6A46',
            'topblock-background' => '#4B4934',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#EFEACC',
            'topblock-link' => '#eee',
            'topblock-accent' => '#975031',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#69604D',
            'body-link' => '#A23607',
            'body-accent' => '#A23607',
            'footerblock-background' => '#403E2B',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#C2BDA4',
            'footerblock-link' => '#eee',
            'footerblock-accent' => '#A23607',
            'logo-style' => 'dark',
            'logo-pattern' => 'leather',
            'typography-style' => 'light'
        ),

        'preset13' => array (
            'name' => 'Preset 13',
            'main-background' => '#ECE8CF',
            'main-overlay' => 'light',
            'main-pattern' => 'textile',
            'main-text' => '#A65F3F',
            'main-link' => '#2F2F2F',
            'main-accent' => '#8E4423',
            'topblock-background' => '#EEEBD7',
            'topblock-overlay' => 'light',
            'topblock-width' => 'full',
            'topblock-text' => '#A65F3F',
            'topblock-link' => '#2F2F2F',
            'topblock-accent' => '#CA572A',
            'body-background' => 'dark',
            'body-width' => 'wrapped',
            'body-text' => '#B6B49B',
            'body-link' => '#eee',
            'body-accent' => '#C6491A',
            'footerblock-background' => '#2F2F2F',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#B6B49B',
            'footerblock-link' => '#eee',
            'footerblock-accent' => '#A23607',
            'logo-style' => 'dark',
            'logo-pattern' => 'none',
            'typography-style' => 'dark'
        ),

        'preset14' => array (
            'name' => 'Preset 14',
            'main-background' => '#483E3F',
            'main-overlay' => 'dark',
            'main-pattern' => 'dustnscratches',
            'main-text' => '#CDC6AE',
            'main-link' => '#DE564B',
            'main-accent' => '#DE564B',
            'topblock-background' => '#483A3A',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#CDC6AE',
            'topblock-link' => '#8CCA86',
            'topblock-accent' => '#DE564B',
            'body-background' => 'light',
            'body-width' => 'wrapped',
            'body-text' => '#6A5B5B',
            'body-link' => '#DE564B',
            'body-accent' => '#7CC975',
            'footerblock-background' => '#483A3A',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#CDC6AE',
            'footerblock-link' => '#DE564B',
            'footerblock-accent' => '#DE564B',
            'logo-style' => 'dark',
            'logo-pattern' => 'leather',
            'typography-style' => 'dark'
        ),

        'preset15' => array (
            'name' => 'Preset 15',
            'main-background' => '#222',
            'main-overlay' => 'dark',
            'main-pattern' => 'leather',
            'main-text' => '#888',
            'main-link' => '#CC602A',
            'main-accent' => '#CC602A',
            'topblock-background' => '#333',
            'topblock-overlay' => 'dark',
            'topblock-width' => 'full',
            'topblock-text' => '#999',
            'topblock-link' => '#CC602A',
            'topblock-accent' => '#13605E',
            'body-background' => 'dark',
            'body-width' => 'wrapped',
            'body-text' => '#999',
            'body-link' => '#CC602A',
            'body-accent' => '#13605E',
            'footerblock-background' => '#222',
            'footerblock-overlay' => 'dark',
            'footerblock-width' => 'full',
            'footerblock-text' => '#777',
            'footerblock-link' => '#CC602A',
            'footerblock-accent' => '#13605E',
            'logo-style' => 'dark',
            'logo-pattern' => 'grunge',
            'typography-style' => 'dark'
        )

    )
);

$gantry_browser_params = array(
    'ie6' => array(
		'menu-enabled' => '0',
		'typography' => '0',
		'extensions' => '0',
		'fontsizer' => '0',
		'login' => '0',
		'popup' => '0',
		'morearticles' => '0',
		'totop-enabled' => '0',
		'smartload-enabled' => '0',
		'buildspans-enabled' => '0',
		'inputstyling' => '0'
    )
);

$gantry_belatedPNG = array('.png', '#rt-page-surround', '#rt-logo', '#rt-logo span', '#rt-header', '#rt-footer-surround', '#rt-footer-pattern', '#rt-footer-overlay', '#rt-copyright', '#rocket');