<?php
/**
 * @package Gantry Template Framework - RocketTheme
 * @version 1.0 August 1, 2011
 * @author RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2011 RocketTheme, LLC
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted index access' );

// load and inititialize gantry class
require_once('lib/gantry/gantry.php');
$gantry->init();

function isBrowserCapable(){
	global $gantry;
	
	$browser = $gantry->browser;
	
	// ie.
	if ($browser->name == 'ie' && $browser->version < 8) return false;
	
	return true;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $gantry->language; ?>" lang="<?php echo $gantry->language;?>" >
<head>
	<?php 
		$gantry->displayHead();
		$gantry->addStyles(array('template.css','joomla.css'));
		
		if ($gantry->browser->platform != 'iphone')
			$gantry->addInlineScript('window.addEvent("domready", function(){ new SmoothScroll(); });');
			
		if ($gantry->get('loadtransition') && isBrowserCapable()){
			$gantry->addScript('load-transition.js');
			$hidden = ' class="rt-hidden"';
		} else {
			$hidden = '';
		}
		
	?>
</head>
	<body <?php echo $gantry->displayBodyTag(array()); ?>>
		<div id="rt-page-surround">
			<?php if ($gantry->get('footerblock-width') == 'full'): ?>
			<div id="rt-page-surround-inner">
			<?php endif; ?>
				<?php if ($gantry->get('topblock-width') == 'wrapped'): ?>
				<div class="rt-container">
				<?php endif; ?>
					<div id="rt-top-block" <?php echo $gantry->displayClassesByTag('rt-top-block'); ?>>
						<div id="rt-top-surround">
							<?php /** Begin Drawer **/ if ($gantry->countModules('drawer')) : ?>
							<div id="rt-drawer">
								<?php if ($gantry->get('topblock-width') == 'full'): ?>
								<div class="rt-container">
								<?php endif; ?>
									<?php echo $gantry->displayModules('drawer','standard','standard'); ?>
									<div class="clear"></div>
								<?php if ($gantry->get('topblock-width') == 'full'): ?>
								</div>
								<?php endif; ?>
							</div>
							<?php /** End Drawer **/ endif; ?>
							<?php /** Begin Top **/ if ($gantry->countModules('top')) : ?>
							<div id="rt-top">
								<?php if ($gantry->get('topblock-width') == 'full'): ?>
								<div class="rt-container">
								<?php endif; ?>
									<?php echo $gantry->displayModules('top','standard','standard'); ?>
									<div class="clear"></div>
								<?php if ($gantry->get('topblock-width') == 'full'): ?>
								</div>
								<?php endif; ?>
							</div>
							<?php /** End Top **/ endif; ?>
						</div>
						<?php /** Begin Navigation **/ if ($gantry->countModules('navigation') or $gantry->countModules('subnavigation')) : ?>
						<div id="rt-navigation" <?php echo $gantry->displayClassesByTag('rt-navigation'); ?>>
							<div class="rt-navigation-top"></div>
							<?php if ($gantry->get('topblock-width') == 'full'): ?>
							<div class="rt-container">
							<?php endif; ?>
								<div class="rt-navigation-bar">
									<?php echo $gantry->displayModules('navigation','standard','menu'); ?>
									<div class="clear"></div>
								</div>
								<?php if ($gantry->countModules('subnavigation')) : ?>
								<div id="rt-subnavigation">
									<?php echo $gantry->displayModules('subnavigation','standard','menu'); ?>
									<div class="clear"></div>
								</div>
								<?php endif; ?>
							<?php if ($gantry->get('topblock-width') == 'full'): ?>
							</div>
							<?php endif; ?>
						</div>
						<?php /** End Navigation **/ endif; ?>
					</div>
				<?php if ($gantry->get('topblock-width') == 'wrapped'): ?>
				</div>
				<?php endif; ?>
				<?php /** Begin Feature **/ if ($gantry->countModules('feature')) : ?>
				<div id="rt-feature">
					<div class="rt-container">
						<?php echo $gantry->displayModules('feature','standard','standard'); ?>
						<div class="clear"></div>
					</div>
				</div>
				<?php else: ?>
				<div id="rt-feature-spacer"></div>
				<?php endif; ?>
				<?php if ($gantry->get('body-width') == 'wrapped'): ?>
				<div class="rt-container">
				<?php endif; ?>
					<div id="rt-container-bg"<?php echo $hidden; ?>>
						<?php /** Begin Header **/ if ($gantry->countModules('header')) : ?>
						<div id="rt-header">
							<?php if ($gantry->get('body-width') == 'full'): ?>
							<div class="rt-container">
							<?php endif; ?>
								<?php echo $gantry->displayModules('header','standard','standard'); ?>
								<div class="clear"></div>
							<?php if ($gantry->get('body-width') == 'full'): ?>
							</div>
							<?php endif; ?>
						</div>
						<?php /** End Header **/ endif; ?>
						<div id="rt-container-content">
							<?php /** Begin Showcase **/ if ($gantry->countModules('showcase')) : ?>
							<div id="rt-showcase">
								<?php if ($gantry->get('body-width') == 'full'): ?>
								<div class="rt-container">
								<?php endif; ?>
									<?php echo $gantry->displayModules('showcase','standard','standard'); ?>
									<div class="clear"></div>
								<?php if ($gantry->get('body-width') == 'full'): ?>
								</div>
								<?php endif; ?>
							</div>
							<?php /** End Showcase **/ endif; ?>
							<div id="rt-body-surround">
								<?php /** Begin Utility **/ if ($gantry->countModules('utility')) : ?>
								<div id="rt-utility">
									<?php if ($gantry->get('body-width') == 'full'): ?>
									<div class="rt-container">
									<?php endif; ?>
										<?php echo $gantry->displayModules('utility','standard','standard'); ?>
										<div class="clear"></div>
									<?php if ($gantry->get('body-width') == 'full'): ?>
									</div>
									<?php endif; ?>
								</div>
								<?php /** End Utility **/ endif; ?>
								<?php /** Begin Main Top **/ if ($gantry->countModules('maintop')) : ?>
								<div id="rt-maintop">
									<?php if ($gantry->get('body-width') == 'full'): ?>
									<div class="rt-container">
									<?php endif; ?>
										<?php echo $gantry->displayModules('maintop','standard','standard'); ?>
										<div class="clear"></div>
									<?php if ($gantry->get('body-width') == 'full'): ?>
									</div>
									<?php endif; ?>
								</div>
								<?php /** End Main Top **/ endif; ?>
								<?php /** Begin Breadcrumbs **/ if ($gantry->countModules('breadcrumb')) : ?>
								<div id="rt-breadcrumbs">
									<?php if ($gantry->get('body-width') == 'full'): ?>
									<div class="rt-container">
									<?php endif; ?>
										<?php echo $gantry->displayModules('breadcrumb','basic','breadcrumbs'); ?>
										<div class="clear"></div>
									<?php if ($gantry->get('body-width') == 'full'): ?>
									</div>
									<?php endif; ?>
								</div>
								<?php /** End Breadcrumbs **/ endif; ?>
								<?php /** Begin Main Body **/ ?>
							    <?php echo $gantry->displayMainbody('mainbody','sidebar','standard','standard','standard','standard','standard'); ?>
								<?php /** End Main Body **/ ?>
								<?php /** Begin Main Bottom **/ if ($gantry->countModules('mainbottom')) : ?>
								<div id="rt-mainbottom">
									<?php if ($gantry->get('body-width') == 'full'): ?>
									<div class="rt-container">
									<?php endif; ?>
										<?php echo $gantry->displayModules('mainbottom','standard','standard'); ?>
										<div class="clear"></div>
									<?php if ($gantry->get('body-width') == 'full'): ?>
									</div>
									<?php endif; ?>
								</div>
								<?php /** End Main Bottom **/ endif; ?>
							</div>
						</div>
					</div>
				<?php if ($gantry->get('body-width') == 'wrapped'): ?>
				</div>
				<?php endif; ?>
				<?php /** Begin Bottom **/ if ($gantry->countModules('bottom')) : ?>
				<div id="rt-bottom">
					<div class="rt-container">
						<?php echo $gantry->displayModules('bottom','standard','standard'); ?>
						<div class="clear"></div>
					</div>
				</div>
				<?php /** End Bottom **/ endif; ?>
			<?php if ($gantry->get('footerblock-width') == 'full'): ?>
			</div>
			<?php endif; ?>
			<?php if ($gantry->get('footerblock-width') == 'wrapped'): ?>
			<div class="rt-container">
			<?php endif; ?>
			<?php /** Begin Footer Section **/ if ($gantry->countModules('footer') or $gantry->countModules('copyright') or $gantry->countModules('debug')) : ?>
			<div id="rt-footer-surround" <?php echo $gantry->displayClassesByTag('rt-footer-surround'); ?>>
				<?php /** Begin Footer **/ if ($gantry->countModules('footer')) : ?>
				<div id="rt-footer-pattern">
					<div id="rt-footer-overlay">
						<div id="rt-footer">
							<?php if ($gantry->get('footerblock-width') == 'full'): ?>
							<div class="rt-container">
							<?php endif; ?>
								<div class="rt-section-surround">
									<div class="rt-row-surround">
										<?php echo $gantry->displayModules('footer','standard','standard'); ?>
										<div class="clear"></div>
									</div>
								</div>
								<div class="clear"></div>
							<?php if ($gantry->get('footerblock-width') == 'full'): ?>
							</div>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<?php /** End Footer **/ endif; ?>
				<?php /** Begin Copyright **/ if ($gantry->countModules('copyright')) : ?>
				<div id="rt-copyright">
					<div id="rt-copyright2">
						<?php if ($gantry->get('footerblock-width') == 'full'): ?>
						<div class="rt-container">
						<?php endif; ?>
							<?php echo $gantry->displayModules('copyright','standard','limited'); ?>
							<div class="clear"></div>
						<?php if ($gantry->get('footerblock-width') == 'full'): ?>
						</div>
						<?php endif; ?>
					</div>
				</div>
				<?php /** End Copyright **/ endif; ?>
				<?php /** Begin Debug **/ if ($gantry->countModules('debug')) : ?>
				<div id="rt-debug">
					<?php if ($gantry->get('footerblock-width') == 'full'): ?>
					<div class="rt-container">
					<?php endif; ?>
						<?php echo $gantry->displayModules('debug','standard','standard'); ?>
						<div class="clear"></div>
					<?php if ($gantry->get('footerblock-width') == 'full'): ?>
					</div>
					<?php endif; ?>
				</div>
				<?php /** End Debug **/ endif; ?>
			</div>
			<?php /** End Footer Section **/ endif; ?>
			<?php if ($gantry->get('footerblock-width') == 'wrapped'): ?>
			</div>
			<?php endif; ?>
			<?php /** Begin Popups **/ 
			echo $gantry->displayModules('popup','popup','popup');
			echo $gantry->displayModules('login','login','popup'); 
			/** End Popup s**/ ?>
			<?php /** Begin Analytics **/ if ($gantry->countModules('analytics')) : ?>
			<?php echo $gantry->displayModules('analytics','basic','basic'); ?>
			<?php /** End Analytics **/ endif; ?>
		</div>
	</body>
</html>
<?php
$gantry->finalize();

?>